Skip to main content
`Ctrl`+`K`

# MatGetBindingPropagates

Gets whether the state of being bound to the CPU for a GPU matrix type propagates to child and some other associated objects

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetBindingPropagates(Mat A, PetscBool *flg)

## Input Parameter

- A - the matrix

## Output Parameter

- flg - flag indicating whether the boundtocpu flag will be propagated

## See Also

Matrices, `Mat`, `MatSetBindingPropagates()`

## Level

developer

## Location

src/mat/utils/gcreate.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages